Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network116.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
116.0.0.0
Broadcast address
117.255.255.255
First usable
116.0.0.1
Last usable
117.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 74000000 · Integer 1946157056 to 1979711487
Reverse DNS zones
116.in-addr.arpa
117.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110100.00000000.00000000.00000000116.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01110100.00000000.00000000.00000000116.0.0.0
Broadcast01110101.11111111.11111111.11111111117.255.255.255
Split into smaller subnets/16

116.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1116.0.0.0/16116.0.0.1 to 116.0.255.254116.0.255.25565,534
2116.1.0.0/16116.1.0.1 to 116.1.255.254116.1.255.25565,534
3116.2.0.0/16116.2.0.1 to 116.2.255.254116.2.255.25565,534
4116.3.0.0/16116.3.0.1 to 116.3.255.254116.3.255.25565,534
5116.4.0.0/16116.4.0.1 to 116.4.255.254116.4.255.25565,534
6116.5.0.0/16116.5.0.1 to 116.5.255.254116.5.255.25565,534
7116.6.0.0/16116.6.0.1 to 116.6.255.254116.6.255.25565,534
8116.7.0.0/16116.7.0.1 to 116.7.255.254116.7.255.25565,534
9116.8.0.0/16116.8.0.1 to 116.8.255.254116.8.255.25565,534
10116.9.0.0/16116.9.0.1 to 116.9.255.254116.9.255.25565,534
11116.10.0.0/16116.10.0.1 to 116.10.255.254116.10.255.25565,534
12116.11.0.0/16116.11.0.1 to 116.11.255.254116.11.255.25565,534
13116.12.0.0/16116.12.0.1 to 116.12.255.254116.12.255.25565,534
14116.13.0.0/16116.13.0.1 to 116.13.255.254116.13.255.25565,534
15116.14.0.0/16116.14.0.1 to 116.14.255.254116.14.255.25565,534
16116.15.0.0/16116.15.0.1 to 116.15.255.254116.15.255.25565,534
17116.16.0.0/16116.16.0.1 to 116.16.255.254116.16.255.25565,534
18116.17.0.0/16116.17.0.1 to 116.17.255.254116.17.255.25565,534
19116.18.0.0/16116.18.0.1 to 116.18.255.254116.18.255.25565,534
20116.19.0.0/16116.19.0.1 to 116.19.255.254116.19.255.25565,534
21116.20.0.0/16116.20.0.1 to 116.20.255.254116.20.255.25565,534
22116.21.0.0/16116.21.0.1 to 116.21.255.254116.21.255.25565,534
23116.22.0.0/16116.22.0.1 to 116.22.255.254116.22.255.25565,534
24116.23.0.0/16116.23.0.1 to 116.23.255.254116.23.255.25565,534
25116.24.0.0/16116.24.0.1 to 116.24.255.254116.24.255.25565,534
26116.25.0.0/16116.25.0.1 to 116.25.255.254116.25.255.25565,534
27116.26.0.0/16116.26.0.1 to 116.26.255.254116.26.255.25565,534
28116.27.0.0/16116.27.0.1 to 116.27.255.254116.27.255.25565,534
29116.28.0.0/16116.28.0.1 to 116.28.255.254116.28.255.25565,534
30116.29.0.0/16116.29.0.1 to 116.29.255.254116.29.255.25565,534
31116.30.0.0/16116.30.0.1 to 116.30.255.254116.30.255.25565,534
32116.31.0.0/16116.31.0.1 to 116.31.255.254116.31.255.25565,534
33116.32.0.0/16116.32.0.1 to 116.32.255.254116.32.255.25565,534
34116.33.0.0/16116.33.0.1 to 116.33.255.254116.33.255.25565,534
35116.34.0.0/16116.34.0.1 to 116.34.255.254116.34.255.25565,534
36116.35.0.0/16116.35.0.1 to 116.35.255.254116.35.255.25565,534
37116.36.0.0/16116.36.0.1 to 116.36.255.254116.36.255.25565,534
38116.37.0.0/16116.37.0.1 to 116.37.255.254116.37.255.25565,534
39116.38.0.0/16116.38.0.1 to 116.38.255.254116.38.255.25565,534
40116.39.0.0/16116.39.0.1 to 116.39.255.254116.39.255.25565,534
41116.40.0.0/16116.40.0.1 to 116.40.255.254116.40.255.25565,534
42116.41.0.0/16116.41.0.1 to 116.41.255.254116.41.255.25565,534
43116.42.0.0/16116.42.0.1 to 116.42.255.254116.42.255.25565,534
44116.43.0.0/16116.43.0.1 to 116.43.255.254116.43.255.25565,534
45116.44.0.0/16116.44.0.1 to 116.44.255.254116.44.255.25565,534
46116.45.0.0/16116.45.0.1 to 116.45.255.254116.45.255.25565,534
47116.46.0.0/16116.46.0.1 to 116.46.255.254116.46.255.25565,534
48116.47.0.0/16116.47.0.1 to 116.47.255.254116.47.255.25565,534
49116.48.0.0/16116.48.0.1 to 116.48.255.254116.48.255.25565,534
50116.49.0.0/16116.49.0.1 to 116.49.255.254116.49.255.25565,534
51116.50.0.0/16116.50.0.1 to 116.50.255.254116.50.255.25565,534
52116.51.0.0/16116.51.0.1 to 116.51.255.254116.51.255.25565,534
53116.52.0.0/16116.52.0.1 to 116.52.255.254116.52.255.25565,534
54116.53.0.0/16116.53.0.1 to 116.53.255.254116.53.255.25565,534
55116.54.0.0/16116.54.0.1 to 116.54.255.254116.54.255.25565,534
56116.55.0.0/16116.55.0.1 to 116.55.255.254116.55.255.25565,534
57116.56.0.0/16116.56.0.1 to 116.56.255.254116.56.255.25565,534
58116.57.0.0/16116.57.0.1 to 116.57.255.254116.57.255.25565,534
59116.58.0.0/16116.58.0.1 to 116.58.255.254116.58.255.25565,534
60116.59.0.0/16116.59.0.1 to 116.59.255.254116.59.255.25565,534
61116.60.0.0/16116.60.0.1 to 116.60.255.254116.60.255.25565,534
62116.61.0.0/16116.61.0.1 to 116.61.255.254116.61.255.25565,534
63116.62.0.0/16116.62.0.1 to 116.62.255.254116.62.255.25565,534
64116.63.0.0/16116.63.0.1 to 116.63.255.254116.63.255.25565,534
65116.64.0.0/16116.64.0.1 to 116.64.255.254116.64.255.25565,534
66116.65.0.0/16116.65.0.1 to 116.65.255.254116.65.255.25565,534
67116.66.0.0/16116.66.0.1 to 116.66.255.254116.66.255.25565,534
68116.67.0.0/16116.67.0.1 to 116.67.255.254116.67.255.25565,534
69116.68.0.0/16116.68.0.1 to 116.68.255.254116.68.255.25565,534
70116.69.0.0/16116.69.0.1 to 116.69.255.254116.69.255.25565,534
71116.70.0.0/16116.70.0.1 to 116.70.255.254116.70.255.25565,534
72116.71.0.0/16116.71.0.1 to 116.71.255.254116.71.255.25565,534
73116.72.0.0/16116.72.0.1 to 116.72.255.254116.72.255.25565,534
74116.73.0.0/16116.73.0.1 to 116.73.255.254116.73.255.25565,534
75116.74.0.0/16116.74.0.1 to 116.74.255.254116.74.255.25565,534
76116.75.0.0/16116.75.0.1 to 116.75.255.254116.75.255.25565,534
77116.76.0.0/16116.76.0.1 to 116.76.255.254116.76.255.25565,534
78116.77.0.0/16116.77.0.1 to 116.77.255.254116.77.255.25565,534
79116.78.0.0/16116.78.0.1 to 116.78.255.254116.78.255.25565,534
80116.79.0.0/16116.79.0.1 to 116.79.255.254116.79.255.25565,534
81116.80.0.0/16116.80.0.1 to 116.80.255.254116.80.255.25565,534
82116.81.0.0/16116.81.0.1 to 116.81.255.254116.81.255.25565,534
83116.82.0.0/16116.82.0.1 to 116.82.255.254116.82.255.25565,534
84116.83.0.0/16116.83.0.1 to 116.83.255.254116.83.255.25565,534
85116.84.0.0/16116.84.0.1 to 116.84.255.254116.84.255.25565,534
86116.85.0.0/16116.85.0.1 to 116.85.255.254116.85.255.25565,534
87116.86.0.0/16116.86.0.1 to 116.86.255.254116.86.255.25565,534
88116.87.0.0/16116.87.0.1 to 116.87.255.254116.87.255.25565,534
89116.88.0.0/16116.88.0.1 to 116.88.255.254116.88.255.25565,534
90116.89.0.0/16116.89.0.1 to 116.89.255.254116.89.255.25565,534
91116.90.0.0/16116.90.0.1 to 116.90.255.254116.90.255.25565,534
92116.91.0.0/16116.91.0.1 to 116.91.255.254116.91.255.25565,534
93116.92.0.0/16116.92.0.1 to 116.92.255.254116.92.255.25565,534
94116.93.0.0/16116.93.0.1 to 116.93.255.254116.93.255.25565,534
95116.94.0.0/16116.94.0.1 to 116.94.255.254116.94.255.25565,534
96116.95.0.0/16116.95.0.1 to 116.95.255.254116.95.255.25565,534
97116.96.0.0/16116.96.0.1 to 116.96.255.254116.96.255.25565,534
98116.97.0.0/16116.97.0.1 to 116.97.255.254116.97.255.25565,534
99116.98.0.0/16116.98.0.1 to 116.98.255.254116.98.255.25565,534
100116.99.0.0/16116.99.0.1 to 116.99.255.254116.99.255.25565,534
101116.100.0.0/16116.100.0.1 to 116.100.255.254116.100.255.25565,534
102116.101.0.0/16116.101.0.1 to 116.101.255.254116.101.255.25565,534
103116.102.0.0/16116.102.0.1 to 116.102.255.254116.102.255.25565,534
104116.103.0.0/16116.103.0.1 to 116.103.255.254116.103.255.25565,534
105116.104.0.0/16116.104.0.1 to 116.104.255.254116.104.255.25565,534
106116.105.0.0/16116.105.0.1 to 116.105.255.254116.105.255.25565,534
107116.106.0.0/16116.106.0.1 to 116.106.255.254116.106.255.25565,534
108116.107.0.0/16116.107.0.1 to 116.107.255.254116.107.255.25565,534
109116.108.0.0/16116.108.0.1 to 116.108.255.254116.108.255.25565,534
110116.109.0.0/16116.109.0.1 to 116.109.255.254116.109.255.25565,534
111116.110.0.0/16116.110.0.1 to 116.110.255.254116.110.255.25565,534
112116.111.0.0/16116.111.0.1 to 116.111.255.254116.111.255.25565,534
113116.112.0.0/16116.112.0.1 to 116.112.255.254116.112.255.25565,534
114116.113.0.0/16116.113.0.1 to 116.113.255.254116.113.255.25565,534
115116.114.0.0/16116.114.0.1 to 116.114.255.254116.114.255.25565,534
116116.115.0.0/16116.115.0.1 to 116.115.255.254116.115.255.25565,534
117116.116.0.0/16116.116.0.1 to 116.116.255.254116.116.255.25565,534
118116.117.0.0/16116.117.0.1 to 116.117.255.254116.117.255.25565,534
119116.118.0.0/16116.118.0.1 to 116.118.255.254116.118.255.25565,534
120116.119.0.0/16116.119.0.1 to 116.119.255.254116.119.255.25565,534
121116.120.0.0/16116.120.0.1 to 116.120.255.254116.120.255.25565,534
122116.121.0.0/16116.121.0.1 to 116.121.255.254116.121.255.25565,534
123116.122.0.0/16116.122.0.1 to 116.122.255.254116.122.255.25565,534
124116.123.0.0/16116.123.0.1 to 116.123.255.254116.123.255.25565,534
125116.124.0.0/16116.124.0.1 to 116.124.255.254116.124.255.25565,534
126116.125.0.0/16116.125.0.1 to 116.125.255.254116.125.255.25565,534
127116.126.0.0/16116.126.0.1 to 116.126.255.254116.126.255.25565,534
128116.127.0.0/16116.127.0.1 to 116.127.255.254116.127.255.25565,534
129116.128.0.0/16116.128.0.1 to 116.128.255.254116.128.255.25565,534
130116.129.0.0/16116.129.0.1 to 116.129.255.254116.129.255.25565,534
131116.130.0.0/16116.130.0.1 to 116.130.255.254116.130.255.25565,534
132116.131.0.0/16116.131.0.1 to 116.131.255.254116.131.255.25565,534
133116.132.0.0/16116.132.0.1 to 116.132.255.254116.132.255.25565,534
134116.133.0.0/16116.133.0.1 to 116.133.255.254116.133.255.25565,534
135116.134.0.0/16116.134.0.1 to 116.134.255.254116.134.255.25565,534
136116.135.0.0/16116.135.0.1 to 116.135.255.254116.135.255.25565,534
137116.136.0.0/16116.136.0.1 to 116.136.255.254116.136.255.25565,534
138116.137.0.0/16116.137.0.1 to 116.137.255.254116.137.255.25565,534
139116.138.0.0/16116.138.0.1 to 116.138.255.254116.138.255.25565,534
140116.139.0.0/16116.139.0.1 to 116.139.255.254116.139.255.25565,534
141116.140.0.0/16116.140.0.1 to 116.140.255.254116.140.255.25565,534
142116.141.0.0/16116.141.0.1 to 116.141.255.254116.141.255.25565,534
143116.142.0.0/16116.142.0.1 to 116.142.255.254116.142.255.25565,534
144116.143.0.0/16116.143.0.1 to 116.143.255.254116.143.255.25565,534
145116.144.0.0/16116.144.0.1 to 116.144.255.254116.144.255.25565,534
146116.145.0.0/16116.145.0.1 to 116.145.255.254116.145.255.25565,534
147116.146.0.0/16116.146.0.1 to 116.146.255.254116.146.255.25565,534
148116.147.0.0/16116.147.0.1 to 116.147.255.254116.147.255.25565,534
149116.148.0.0/16116.148.0.1 to 116.148.255.254116.148.255.25565,534
150116.149.0.0/16116.149.0.1 to 116.149.255.254116.149.255.25565,534
151116.150.0.0/16116.150.0.1 to 116.150.255.254116.150.255.25565,534
152116.151.0.0/16116.151.0.1 to 116.151.255.254116.151.255.25565,534
153116.152.0.0/16116.152.0.1 to 116.152.255.254116.152.255.25565,534
154116.153.0.0/16116.153.0.1 to 116.153.255.254116.153.255.25565,534
155116.154.0.0/16116.154.0.1 to 116.154.255.254116.154.255.25565,534
156116.155.0.0/16116.155.0.1 to 116.155.255.254116.155.255.25565,534
157116.156.0.0/16116.156.0.1 to 116.156.255.254116.156.255.25565,534
158116.157.0.0/16116.157.0.1 to 116.157.255.254116.157.255.25565,534
159116.158.0.0/16116.158.0.1 to 116.158.255.254116.158.255.25565,534
160116.159.0.0/16116.159.0.1 to 116.159.255.254116.159.255.25565,534
161116.160.0.0/16116.160.0.1 to 116.160.255.254116.160.255.25565,534
162116.161.0.0/16116.161.0.1 to 116.161.255.254116.161.255.25565,534
163116.162.0.0/16116.162.0.1 to 116.162.255.254116.162.255.25565,534
164116.163.0.0/16116.163.0.1 to 116.163.255.254116.163.255.25565,534
165116.164.0.0/16116.164.0.1 to 116.164.255.254116.164.255.25565,534
166116.165.0.0/16116.165.0.1 to 116.165.255.254116.165.255.25565,534
167116.166.0.0/16116.166.0.1 to 116.166.255.254116.166.255.25565,534
168116.167.0.0/16116.167.0.1 to 116.167.255.254116.167.255.25565,534
169116.168.0.0/16116.168.0.1 to 116.168.255.254116.168.255.25565,534
170116.169.0.0/16116.169.0.1 to 116.169.255.254116.169.255.25565,534
171116.170.0.0/16116.170.0.1 to 116.170.255.254116.170.255.25565,534
172116.171.0.0/16116.171.0.1 to 116.171.255.254116.171.255.25565,534
173116.172.0.0/16116.172.0.1 to 116.172.255.254116.172.255.25565,534
174116.173.0.0/16116.173.0.1 to 116.173.255.254116.173.255.25565,534
175116.174.0.0/16116.174.0.1 to 116.174.255.254116.174.255.25565,534
176116.175.0.0/16116.175.0.1 to 116.175.255.254116.175.255.25565,534
177116.176.0.0/16116.176.0.1 to 116.176.255.254116.176.255.25565,534
178116.177.0.0/16116.177.0.1 to 116.177.255.254116.177.255.25565,534
179116.178.0.0/16116.178.0.1 to 116.178.255.254116.178.255.25565,534
180116.179.0.0/16116.179.0.1 to 116.179.255.254116.179.255.25565,534
181116.180.0.0/16116.180.0.1 to 116.180.255.254116.180.255.25565,534
182116.181.0.0/16116.181.0.1 to 116.181.255.254116.181.255.25565,534
183116.182.0.0/16116.182.0.1 to 116.182.255.254116.182.255.25565,534
184116.183.0.0/16116.183.0.1 to 116.183.255.254116.183.255.25565,534
185116.184.0.0/16116.184.0.1 to 116.184.255.254116.184.255.25565,534
186116.185.0.0/16116.185.0.1 to 116.185.255.254116.185.255.25565,534
187116.186.0.0/16116.186.0.1 to 116.186.255.254116.186.255.25565,534
188116.187.0.0/16116.187.0.1 to 116.187.255.254116.187.255.25565,534
189116.188.0.0/16116.188.0.1 to 116.188.255.254116.188.255.25565,534
190116.189.0.0/16116.189.0.1 to 116.189.255.254116.189.255.25565,534
191116.190.0.0/16116.190.0.1 to 116.190.255.254116.190.255.25565,534
192116.191.0.0/16116.191.0.1 to 116.191.255.254116.191.255.25565,534
193116.192.0.0/16116.192.0.1 to 116.192.255.254116.192.255.25565,534
194116.193.0.0/16116.193.0.1 to 116.193.255.254116.193.255.25565,534
195116.194.0.0/16116.194.0.1 to 116.194.255.254116.194.255.25565,534
196116.195.0.0/16116.195.0.1 to 116.195.255.254116.195.255.25565,534
197116.196.0.0/16116.196.0.1 to 116.196.255.254116.196.255.25565,534
198116.197.0.0/16116.197.0.1 to 116.197.255.254116.197.255.25565,534
199116.198.0.0/16116.198.0.1 to 116.198.255.254116.198.255.25565,534
200116.199.0.0/16116.199.0.1 to 116.199.255.254116.199.255.25565,534
201116.200.0.0/16116.200.0.1 to 116.200.255.254116.200.255.25565,534
202116.201.0.0/16116.201.0.1 to 116.201.255.254116.201.255.25565,534
203116.202.0.0/16116.202.0.1 to 116.202.255.254116.202.255.25565,534
204116.203.0.0/16116.203.0.1 to 116.203.255.254116.203.255.25565,534
205116.204.0.0/16116.204.0.1 to 116.204.255.254116.204.255.25565,534
206116.205.0.0/16116.205.0.1 to 116.205.255.254116.205.255.25565,534
207116.206.0.0/16116.206.0.1 to 116.206.255.254116.206.255.25565,534
208116.207.0.0/16116.207.0.1 to 116.207.255.254116.207.255.25565,534
209116.208.0.0/16116.208.0.1 to 116.208.255.254116.208.255.25565,534
210116.209.0.0/16116.209.0.1 to 116.209.255.254116.209.255.25565,534
211116.210.0.0/16116.210.0.1 to 116.210.255.254116.210.255.25565,534
212116.211.0.0/16116.211.0.1 to 116.211.255.254116.211.255.25565,534
213116.212.0.0/16116.212.0.1 to 116.212.255.254116.212.255.25565,534
214116.213.0.0/16116.213.0.1 to 116.213.255.254116.213.255.25565,534
215116.214.0.0/16116.214.0.1 to 116.214.255.254116.214.255.25565,534
216116.215.0.0/16116.215.0.1 to 116.215.255.254116.215.255.25565,534
217116.216.0.0/16116.216.0.1 to 116.216.255.254116.216.255.25565,534
218116.217.0.0/16116.217.0.1 to 116.217.255.254116.217.255.25565,534
219116.218.0.0/16116.218.0.1 to 116.218.255.254116.218.255.25565,534
220116.219.0.0/16116.219.0.1 to 116.219.255.254116.219.255.25565,534
221116.220.0.0/16116.220.0.1 to 116.220.255.254116.220.255.25565,534
222116.221.0.0/16116.221.0.1 to 116.221.255.254116.221.255.25565,534
223116.222.0.0/16116.222.0.1 to 116.222.255.254116.222.255.25565,534
224116.223.0.0/16116.223.0.1 to 116.223.255.254116.223.255.25565,534
225116.224.0.0/16116.224.0.1 to 116.224.255.254116.224.255.25565,534
226116.225.0.0/16116.225.0.1 to 116.225.255.254116.225.255.25565,534
227116.226.0.0/16116.226.0.1 to 116.226.255.254116.226.255.25565,534
228116.227.0.0/16116.227.0.1 to 116.227.255.254116.227.255.25565,534
229116.228.0.0/16116.228.0.1 to 116.228.255.254116.228.255.25565,534
230116.229.0.0/16116.229.0.1 to 116.229.255.254116.229.255.25565,534
231116.230.0.0/16116.230.0.1 to 116.230.255.254116.230.255.25565,534
232116.231.0.0/16116.231.0.1 to 116.231.255.254116.231.255.25565,534
233116.232.0.0/16116.232.0.1 to 116.232.255.254116.232.255.25565,534
234116.233.0.0/16116.233.0.1 to 116.233.255.254116.233.255.25565,534
235116.234.0.0/16116.234.0.1 to 116.234.255.254116.234.255.25565,534
236116.235.0.0/16116.235.0.1 to 116.235.255.254116.235.255.25565,534
237116.236.0.0/16116.236.0.1 to 116.236.255.254116.236.255.25565,534
238116.237.0.0/16116.237.0.1 to 116.237.255.254116.237.255.25565,534
239116.238.0.0/16116.238.0.1 to 116.238.255.254116.238.255.25565,534
240116.239.0.0/16116.239.0.1 to 116.239.255.254116.239.255.25565,534
241116.240.0.0/16116.240.0.1 to 116.240.255.254116.240.255.25565,534
242116.241.0.0/16116.241.0.1 to 116.241.255.254116.241.255.25565,534
243116.242.0.0/16116.242.0.1 to 116.242.255.254116.242.255.25565,534
244116.243.0.0/16116.243.0.1 to 116.243.255.254116.243.255.25565,534
245116.244.0.0/16116.244.0.1 to 116.244.255.254116.244.255.25565,534
246116.245.0.0/16116.245.0.1 to 116.245.255.254116.245.255.25565,534
247116.246.0.0/16116.246.0.1 to 116.246.255.254116.246.255.25565,534
248116.247.0.0/16116.247.0.1 to 116.247.255.254116.247.255.25565,534
249116.248.0.0/16116.248.0.1 to 116.248.255.254116.248.255.25565,534
250116.249.0.0/16116.249.0.1 to 116.249.255.254116.249.255.25565,534
251116.250.0.0/16116.250.0.1 to 116.250.255.254116.250.255.25565,534
252116.251.0.0/16116.251.0.1 to 116.251.255.254116.251.255.25565,534
253116.252.0.0/16116.252.0.1 to 116.252.255.254116.252.255.25565,534
254116.253.0.0/16116.253.0.1 to 116.253.255.254116.253.255.25565,534
255116.254.0.0/16116.254.0.1 to 116.254.255.254116.254.255.25565,534
256116.255.0.0/16116.255.0.1 to 116.255.255.254116.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses